Subject: Re: [bug#55242] [PATCH 08/10] guix: import: go: Modules in a subdir and prefixed tags.

From: Maxime Devos <[email-masked]>
Date: Tue, 03 May 2022 18:59:18 +0200

Attila Lendvai schreef op di 03-05-2022 om 13:42 [+0200]:
> +    ;; Maybe split comma separated list of licenses in a single string
> +    (when (and (= 1 (length licenses))
> +               (string? (first licenses)))
> +      (let ((pieces (map string-trim-both
> +                         (remove! string-null?

When can it be null?  Also, tests.

> +                                  (string-split (first licenses) #\,)))))

Is there a need for speed here?  If not, I'd keep things simple by
using the non-mutating version (I expect the speed gain to be neglible
here).  If there is, I would also use the mutating version of map --
'map!' from srfi-1.

Greetings,
Maxime.